<a id="aea.package_manager.v0"></a>

# aea.package`_`manager.v0

Package manager V0

<a id="aea.package_manager.v0.PackageManagerV0"></a>

## PackageManagerV0 Objects

```python
class PackageManagerV0(BasePackageManager)
```

Package manager v0.

<a id="aea.package_manager.v0.PackageManagerV0.__init__"></a>

#### `__`init`__`

```python
def __init__(path: Path, packages: PackageIdToHashMapping) -> None
```

Initialize object.

<a id="aea.package_manager.v0.PackageManagerV0.packages"></a>

#### packages

```python
@property
def packages() -> OrderedDictType[PackageId, str]
```

Returns mappings of package ids -> package hash

<a id="aea.package_manager.v0.PackageManagerV0.sync"></a>

#### sync

```python
def sync(dev: bool = False, third_party: bool = True, update_packages: bool = False, update_hashes: bool = False) -> "PackageManagerV0"
```

Sync local packages to the remote registry.

<a id="aea.package_manager.v0.PackageManagerV0.update_package_hashes"></a>

#### update`_`package`_`hashes

```python
def update_package_hashes() -> "PackageManagerV0"
```

Update packages.json file.

<a id="aea.package_manager.v0.PackageManagerV0.verify"></a>

#### verify

```python
def verify(config_loader: Callable[
            [PackageType, Path], PackageConfiguration
        ] = load_configuration) -> int
```

Verify fingerprints and outer hash of all available packages.

<a id="aea.package_manager.v0.PackageManagerV0.json"></a>

#### json

```python
@property
def json() -> OrderedDictType
```

Json representation.

<a id="aea.package_manager.v0.PackageManagerV0.from_dir"></a>

#### from`_`dir

```python
@classmethod
def from_dir(cls, packages_dir: Path) -> "PackageManagerV0"
```

Initialize from packages directory.

