<a id="aea.package_manager.v1"></a>

# aea.package`_`manager.v1

Package manager V1

<a id="aea.package_manager.v1.PackageManagerV1"></a>

## PackageManagerV1 Objects

```python
class PackageManagerV1(BasePackageManager)
```

Package manager V1

<a id="aea.package_manager.v1.PackageManagerV1.__init__"></a>

#### `__`init`__`

```python
def __init__(path: Path, dev_packages: Optional[PackageIdToHashMapping] = None, third_party_packages: Optional[PackageIdToHashMapping] = None) -> None
```

Initialize object.

<a id="aea.package_manager.v1.PackageManagerV1.dev_packages"></a>

#### dev`_`packages

```python
@property
def dev_packages() -> PackageIdToHashMapping
```

Returns mappings of package ids -> package hash

<a id="aea.package_manager.v1.PackageManagerV1.third_party_packages"></a>

#### third`_`party`_`packages

```python
@property
def third_party_packages() -> PackageIdToHashMapping
```

Returns mappings of package ids -> package hash

<a id="aea.package_manager.v1.PackageManagerV1.sync"></a>

#### sync

```python
def sync(dev: bool = False, third_party: bool = True, update_packages: bool = False, update_hashes: bool = False) -> "PackageManagerV1"
```

Sync local packages to the remote registry.

<a id="aea.package_manager.v1.PackageManagerV1.update_package_hashes"></a>

#### update`_`package`_`hashes

```python
def update_package_hashes() -> "PackageManagerV1"
```

Update package.json file.

<a id="aea.package_manager.v1.PackageManagerV1.verify"></a>

#### verify

```python
def verify(config_loader: Callable[
            [PackageType, Path], PackageConfiguration
        ] = load_configuration) -> int
```

Verify fingerprints and outer hash of all available packages.

<a id="aea.package_manager.v1.PackageManagerV1.json"></a>

#### json

```python
@property
def json() -> OrderedDictType
```

Json representation

<a id="aea.package_manager.v1.PackageManagerV1.from_dir"></a>

#### from`_`dir

```python
@classmethod
def from_dir(cls, packages_dir: Path) -> "PackageManagerV1"
```

Initialize from packages directory.

